Loading...
Searching...
No Matches
coap_l_block2_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to keep track of block2 specific information (Responses) More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_l_block2_t:
[legend]

## Data Fields

coap_resource_t * | resource
| associated resource
coap_string_t * | query
| Associated query for the resource.
uint64_t | etag
| ETag value.
coap_pdu_code_t | request_method
| Method used to request this data.
uint8_t | rtag_set
| Set if RTag is in receive PDU.
uint8_t | rtag_length
| RTag length.
uint8_t | rtag [8]
| RTag for block checking.
coap_time_t | maxage_expire
| When this entry expires.

## Detailed Description

Structure to keep track of block2 specific information (Responses)

Definition at line 103 of file coap_block_internal.h.

## Field Documentation

## etag

uint64_t coap_l_block2_t::etag

ETag value.

Definition at line 106 of file coap_block_internal.h.

## maxage_expire

coap_time_t coap_l_block2_t::maxage_expire

When this entry expires.

Definition at line 111 of file coap_block_internal.h.

## query

coap_string_t* coap_l_block2_t::query

Associated query for the resource.

Definition at line 105 of file coap_block_internal.h.

## request_method

coap_pdu_code_t coap_l_block2_t::request_method

Method used to request this data.

Definition at line 107 of file coap_block_internal.h.

## resource

coap_resource_t* coap_l_block2_t::resource

associated resource

Definition at line 104 of file coap_block_internal.h.

## rtag

uint8_t coap_l_block2_t::rtag[8]

RTag for block checking.

Definition at line 110 of file coap_block_internal.h.

## rtag_length

uint8_t coap_l_block2_t::rtag_length

RTag length.

Definition at line 109 of file coap_block_internal.h.

## rtag_set

uint8_t coap_l_block2_t::rtag_set

Set if RTag is in receive PDU.

Definition at line 108 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h